OGRE: Ogre::DynLibManager Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Member Functions | List of all members
Ogre::DynLibManager Class Reference
Core » General

Manager for Dynamic-loading Libraries. More...

`#include <OgreDynLibManager.h>`

Inheritance diagram for Ogre::DynLibManager:
[legend]

## Public Member Functions
| DynLibManager ()
| Default constructor. More...
virtual | ~DynLibManager ()
| Default destructor. More...
DynLib * | load (const String &filename)
| Loads the passed library. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
void | unload (DynLib *lib)
| Unloads the passed library. More...

## Static Public Member Functions
static DynLibManager & | getSingleton (void)
| Override standard Singleton retrieval. More...
static DynLibManager * | getSingletonPtr (void)
| Override standard Singleton retrieval. More...

## Detailed Description

Manager for Dynamic-loading Libraries.

Remarks
  This manager keeps a track of all the open dynamic-loading libraries, opens them and returns references to already-open libraries.

## Constructor & Destructor Documentation

## ◆ DynLibManager()

Ogre::DynLibManager::DynLibManager | ( |  | ) |

Default constructor.

Note
  Should never be called as the singleton is automatically created during the creation of the Root object.

See also
  Root::Root

## ◆ ~DynLibManager()

virtual Ogre::DynLibManager::~DynLibManager | ( |  | ) |
| virtual

Default destructor.

See also
  Root::~Root

## Member Function Documentation

## ◆ getSingleton()

static DynLibManager& Ogre::DynLibManager::getSingleton | ( | void |  | ) |
| static

Override standard Singleton retrieval.

Remarks
  Why do we do this? Well, it's because the Singleton implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the Singleton template to work, but we actually only want it compiled into the implementation of the class based on the Singleton, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll.

  This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors.

## ◆ getSingletonPtr()

static DynLibManager* Ogre::DynLibManager::getSingletonPtr | ( | void |  | ) |
| static

Override standard Singleton retrieval.

Remarks
  Why do we do this? Well, it's because the Singleton implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the Singleton template to work, but we actually only want it compiled into the implementation of the class based on the Singleton, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll.

  This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors.

## ◆ load()

DynLib* Ogre::DynLibManager::load | ( | const String & | filename | ) |

Loads the passed library.

Parameters

  filename | The name of the library. The extension can be omitted.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## ◆ unload()

void Ogre::DynLibManager::unload | ( | DynLib * | lib | ) |

Unloads the passed library.

Parameters

  lib | The library.

The documentation for this class was generated from the following file:

- OgreDynLibManager.h